<?php
namespace App\Http\Controllers\Admin;

use App\Banner;
use App\DyData;
use App\Http\Controllers\Common\CommonController;
use App\Http\Controllers\Common\WriteConfigController;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Core\CoreController;
use App\LiveData;
use App\Nav;
use App\Tort;
use App\User;
use App\YqLink;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use function PHPSTORM_META\type;
class actionController extends Controller
{
	private $config;
	private $common;
	private $core;
	private $dydata;
	private $banner;
	private $zbdata;
	private $nav;
	private $tort;
	private $yqlink;
	private $user;
	public function __construct()
	{
		$this->config = new WriteConfigController();
		$this->common = new CommonController();
		$this->core = new CoreController();
		$this->dydata = new DyData();
		$this->banner = new Banner();
		$this->zbdata = new LiveData();
		$this->nav = new Nav();
		$this->tort = new Tort();
		$this->yqlink = new YqLink();
		$this->user = new User();
	}
	public function webSet(Request $_var_0)
	{
		$_var_1 = CONFIG_PATH . 'webset.php';
		$_var_2 = $_var_0->post();
		$_var_2['weblogo'] = $this->upload($_var_0);
		$_var_3 = $this->config->writeConfig($_var_2, $_var_1);
		if ($_var_3 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功', 'path' => $_var_2['webdir']]);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function jkSet(Request $_var_4)
	{
		$_var_5 = CONFIG_PATH . 'jkset.php';
		$_var_6 = $_var_4->post();
		$_var_7 = $this->config->writeConfig($_var_6, $_var_5);
		if ($_var_7 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function autoCx(Request $_var_8)
	{
		$_var_9 = CONFIG_PATH . 'autocxconfig.php';
		$_var_10 = $_var_8->post();
		$_var_11 = $this->config->writeConfig($_var_10, $_var_9);
		if ($_var_11 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function addNewMovie(Request $_var_12)
	{
		$_var_13 = $_var_12->post();
		$_var_14 = DB::insert('insert into dydata (dy_title,dy_img,dy_desc,dy_addr,dy_sort,dy_create_time) values (?, ?,?,?,?,?)', [$_var_13['dyname'], $_var_13['dylogo'], $_var_13['dydesc'], $_var_13['dyaddr'], $_var_13['dy_sort'], time()]);
		if ($_var_14) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function editMovie(Request $_var_15)
	{
		$_var_16 = $_var_15->post();
		$_var_17 = $_var_16['dy_id'];
		$_var_18 = $this->dydata->where(['dy_id' => $_var_17])->update(['dy_title' => $_var_16['dy_title'], 'dy_desc' => $_var_16['dy_desc'], 'dy_img' => $_var_16['dy_img'], 'dy_addr' => $_var_16['dy_addr'], 'dy_sort' => $_var_15['dy_sort']]);
		if ($_var_18) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function deleteMovie(Request $_var_19)
	{
		$_var_20 = $_var_19->post('dy_id');
		$_var_21 = $this->dydata->where(['dy_id' => $_var_20])->delete();
		if ($_var_21) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function addYqlink(Request $_var_22)
	{
		$_var_23 = $_var_22->post();
		foreach ($_var_23 as $_var_24 => $_var_25) {
			$this->yqlink->{$_var_24} = $_var_25;
		}
		$_var_26 = $this->yqlink->save();
		if ($_var_26) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function editYqList(Request $_var_27)
	{
		$_var_28 = $_var_27->post();
		$_var_29 = $this->yqlink->where(['yq_id' => $_var_28['yq_id']])->update(['yq_name' => $_var_28['yq_name'], 'yq_link' => $_var_28['yq_link']]);
		if ($_var_29) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function deleteYqLink(Request $_var_30)
	{
		$_var_31 = $_var_30->post('yq_id');
		$_var_32 = $this->yqlink->where(['yq_id' => $_var_31])->delete();
		if ($_var_32) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function addZb(Request $_var_33)
	{
		$_var_34 = $_var_33->post();
		foreach ($_var_34 as $_var_35 => $_var_36) {
			$this->zbdata->{$_var_35} = $_var_36;
		}
		$_var_37 = $this->zbdata->save();
		if ($_var_37) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function addZb2(Request $_var_38)
	{
		$_var_39 = [];
		$_var_40 = [];
		$_var_41 = 1;
		$_var_42 = $_var_38->post('zb_type');
		$_var_43 = explode('
', $_var_38->post('zb_addr'));
		foreach ($_var_43 as $_var_44) {
			$_var_45 = explode('$', $_var_44);
			$_var_40['zb_title'] = $_var_45[0];
			$_var_40['zb_addr'] = $_var_45[1];
			$_var_40['zb_sort'] = $_var_45[2];
			$_var_40['zb_type'] = $_var_42;
			$_var_39[] = $_var_40;
		}
		$_var_46 = $this->zbdata->insert($_var_39);
		if ($_var_46) {
			return ['status' => 200, 'msg' => '增加成功'];
		} else {
			return ['status' => 400, 'msg' => '增加失败'];
		}
	}
	public function editZb(Request $_var_47)
	{
		$_var_48 = $_var_47->post();
		$_var_49 = $this->zbdata->where(['zb_id' => $_var_48['zb_id']])->update(['zb_title' => $_var_48['zb_title'], 'zb_addr' => $_var_48['zb_addr'], 'zb_sort' => $_var_48['zb_sort'], 'zb_type' => $_var_48['zb_type']]);
		if ($_var_49) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function deleteZb(Request $_var_50)
	{
		$_var_51 = $_var_50->post('zb_id');
		$_var_52 = $this->zbdata->where(['zb_id' => $_var_51])->delete();
		if ($_var_52) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function addQq(Request $_var_53)
	{
		$_var_54 = $_var_53->post();
		foreach ($_var_54 as $_var_55 => $_var_56) {
			$this->tort->{$_var_55} = $_var_56;
		}
		$_var_57 = $this->tort->save();
		if ($_var_57) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function editQq(Request $_var_58)
	{
		$_var_59 = $_var_58->post();
		$_var_60 = $this->tort->where(['tort_id' => $_var_59['tort_id']])->update(['tort_name' => $_var_59['tort_name'], 'tort_addr' => $_var_59['tort_addr']]);
		if ($_var_60) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function delQqLink(Request $_var_61)
	{
		$_var_62 = $_var_61->post('tort_id');
		$_var_63 = $this->tort->where(['tort_id' => $_var_62])->delete();
		if ($_var_63) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function addBanner(Request $_var_64)
	{
		$_var_65 = $_var_64->post();
		foreach ($_var_65 as $_var_66 => $_var_67) {
			$this->banner->{$_var_66} = $_var_67;
		}
		$_var_68 = $this->banner->save();
		if ($_var_68) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function editBanner(Request $_var_69)
	{
		$_var_70 = $_var_69->post();
		$_var_71 = $this->banner->where(['banner_id' => $_var_70['banner_id']])->update(['banner_title' => $_var_70['banner_title'], 'banner_link' => $_var_70['banner_link'], 'banner_img' => $_var_70['banner_img']]);
		if ($_var_71) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function delBanner(Request $_var_72)
	{
		$_var_73 = $_var_72->post('banner_id');
		$_var_74 = $this->banner->where(['banner_id' => $_var_73])->delete();
		if ($_var_74) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function addNav(Request $_var_75)
	{
		$_var_76 = $_var_75->post();
		foreach ($_var_76 as $_var_77 => $_var_78) {
			$this->nav->{$_var_77} = $_var_78;
		}
		$_var_79 = $this->nav->save();
		if ($_var_79) {
			echo json_encode(['status' => 200, 'msg' => '增加成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '增加失败']);
		}
	}
	public function editNav(Request $_var_80)
	{
		$_var_81 = $_var_80->post();
		$_var_82 = $this->nav->where(['nav_id' => $_var_81['nav_id']])->update(['nav_title' => $_var_81['nav_title'], 'nav_addr' => $_var_81['nav_addr'], 'nav_sort' => $_var_81['nav_sort']]);
		if ($_var_82) {
			echo json_encode(['status' => 200, 'msg' => '编辑成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '编辑失败']);
		}
	}
	public function delNav(Request $_var_83)
	{
		$_var_84 = $_var_83->post('nav_id');
		$_var_85 = $this->nav->where(['nav_id' => $_var_84])->delete();
		if ($_var_85) {
			echo json_encode(['status' => 200, 'msg' => '删除成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '删除失败']);
		}
	}
	public function getShortUrl(Request $_var_86)
	{
		$_var_87 = $_var_86->post('longurl');
		$_var_88 = 'http://tools.aeink.com/tools/dwz/urldwz.php';
		$_var_89 = sprintf($_var_88 . '?longurl=%s&api=urlcn', $_var_87);
		$_var_90 = $this->common->curl_get_dwz($_var_89);
		$_var_91 = json_decode($_var_90, true);
		if (!empty($_var_91)) {
			$_var_92 = ['status' => 200, 'shorturl' => $_var_91['ae_url']];
		} else {
			$_var_92 = ['status' => 400];
		}
		return json_encode($_var_92);
	}
	public function setWeiXin(Request $_var_93)
	{
		$_var_94 = CONFIG_PATH . 'wxconfig.php';
		$_var_95 = $_var_93->post();
		$_var_96 = $this->config->writeConfig($_var_95, $_var_94);
		if ($_var_96 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function setAd(Request $_var_97)
	{
		$_var_98 = CONFIG_PATH . 'adconfig.php';
		$_var_99 = $_var_97->post();
		$_var_100 = $this->config->writeConfig($_var_99, $_var_98);
		if ($_var_100 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function appInfo(Request $_var_101)
	{
		$_var_102 = CONFIG_PATH . 'appconfig.php';
		$_var_103 = $_var_101->post();
		$_var_104 = $this->config->writeConfig($_var_103, $_var_102);
		if ($_var_104 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	private function upload(Request $_var_105)
	{
		if (!$_var_105->file('weblogo')) {
			return config('webset.webtemplate') . '/images/' . 'logo.png';
		}
		$_var_106 = $_var_105->file('weblogo')->storeAs(config('webset.webtemplate') . '/images', 'logo.png');
		return $_var_106;
	}
	public function flushCache(Request $_var_107, $_var_108)
	{
		$_var_109 = $this->common->flushIndex($_var_107, $_var_108);
		if ($_var_109) {
			echo json_encode(['status' => 200, 'msg' => '刷新成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '刷新失败']);
		}
	}
	public function cacheSet(Request $_var_110)
	{
		$_var_111 = CONFIG_PATH . 'cacheconfig.php';
		$_var_112 = $_var_110->post();
		$_var_113 = $this->config->writeConfig($_var_112, $_var_111);
		if ($_var_113 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function keyCode(Request $_var_114)
	{
		$_var_115 = $this->makedomin($_var_114);
		$_var_116 = md5(base64_encode($_var_115));
		return $_var_116;
	}
	public function playerSet(Request $_var_117)
	{
		$_var_118 = CONFIG_PATH . 'playerconfig.php';
		$_var_119 = $_var_117->post();
		$_var_120 = $this->config->writeConfig($_var_119, $_var_118);
		if ($_var_120 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function userSet(Request $_var_121)
	{
		$_var_122 = CONFIG_PATH . 'userconfig.php';
		$_var_123 = $_var_121->post();
		$_var_124 = $this->config->writeConfig($_var_123, $_var_122);
		if ($_var_124 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function editUser(Request $_var_125)
	{
		$_var_126 = $_var_125->post('user_id');
		$_var_127 = strtotime($_var_125->post('user_vip_time'));
		$_var_128 = $_var_125->post('user_pass');
		$_var_129 = $this->user->where(['user_id' => $_var_126])->first()->toArray();
		if (empty($_var_127)) {
			$this->user->where(['user_id' => $_var_126])->update(['user_level' => 0]);
		} else {
			if ($_var_127 > time()) {
				$this->user->where(['user_id' => $_var_126])->update(['user_level' => 1]);
			} else {
				$this->user->where(['user_id' => $_var_126])->update(['user_level' => 0]);
			}
			$this->user->where(['user_id' => $_var_126])->update(['user_vip_time' => $_var_127]);
		}
		if (!empty($_var_128)) {
			$this->user->where(['user_id' => $_var_126])->update(['user_pass' => md5($_var_128)]);
		}
		return ['status' => 200, 'msg' => '修改成功'];
	}
	public function getCxList(Request $_var_130)
	{
		$_var_131 = $_var_130->post('wd');
		$_var_132 = $_var_130->post('dizhi');
		$_var_133 = $this->core->getCx($_var_131, $_var_132);
		if (empty($_var_133)) {
			$_var_134 = ['status' => 400];
			return json_encode($_var_134);
		} else {
			$_var_134 = ['status' => 200, 'cxlist' => $_var_133];
			return json_encode($_var_134);
		}
	}
	public function getCx(Request $_var_135)
	{
		$_var_136 = $_var_135->post('url');
		$_var_137 = $_var_135->post('type');
		$_var_138 = $this->core->getCxData($_var_136);
		$_var_139 = $this->core->getCxLink($_var_136, $_var_137);
		if ($_var_137 == 'm3u8' && empty($_var_139)) {
			return ['status' => '404', 'msg' => '暂无M3U8资源'];
		} elseif ($_var_137 == 'mp4' && empty($_var_139)) {
			return ['status' => '404', 'msg' => '暂无MP4资源'];
		} elseif ($_var_137 == 'zhilian' && empty($_var_139)) {
			return ['status' => '404', 'msg' => '暂无直链资源'];
		}
		$_var_140 = $_var_138[0];
		$_var_141 = implode('
', $_var_139);
		$_var_140['dyaddr'] = $_var_141;
		$_var_140['status'] = 200;
		return json_encode($_var_140);
	}
	public function ccDefense(Request $_var_142)
	{
		$_var_143 = CONFIG_PATH . 'ccset.php';
		$_var_144 = $_var_142->post();
		$_var_144['cc_admin_ip'] = explode('#', $_var_144['cc_admin_ip']);
		$_var_145 = $this->config->writeConfig($_var_144, $_var_143);
		if ($_var_145 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
	public function makedomin(Request $_var_146)
	{
		$_var_147 = $_var_146->server('HTTP_HOST');
		$_var_148 = explode('.', $_var_147);
		if (count($_var_148) == 3) {
			$_var_149 = $_var_148[1] . '.' . $_var_148[2];
		} else {
			$_var_149 = $_var_147;
		}
		return $_var_149;
	}
	public function jxSet(Request $_var_150)
	{
		$_var_151 = CONFIG_PATH . 'jxset.php';
		$_var_152 = $_var_150->post();
		$_var_153 = $this->config->writeConfig($_var_152, $_var_151);
		if ($_var_153 == 'ok') {
			echo json_encode(['status' => 200, 'msg' => '修改成功']);
		} else {
			echo json_encode(['status' => 400, 'msg' => '修改失败']);
		}
	}
}