SET NAMES utf8;
SET FOREIGN_KEY_CHECKS=0;
DROP TABLE IF EXISTS `admin`;
CREATE TABLE `admin` (
  `admin_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '管理员id',
  `admin_name` varchar(50) NOT NULL COMMENT '管理员昵称',
  `admin_pass` varchar(255) NOT NULL COMMENT '管理员密码',
  `admin_last_time` int(10) DEFAULT NULL COMMENT '管理员上次登录时间',
  `admin_now_time` int(10) DEFAULT NULL COMMENT '管理员当前登录时间',
  PRIMARY KEY (`admin_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `admin` VALUES ('1', 'admin', 'f8a145384b65099b17b9b17b9d64dd03e1', '1522217113', '1522217158');

DROP TABLE IF EXISTS `banner`;
CREATE TABLE `banner` (
  `banner_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '轮播id',
  `banner_title` varchar(50) NOT NULL COMMENT '轮播标题',
  `banner_link` varchar(100) NOT NULL COMMENT '轮播连接',
  `banner_img` varchar(100) NOT NULL COMMENT '轮播图片',
  `banner_create_time` int(10) DEFAULT NULL COMMENT '轮播创建时间',
  `banner_update_time` int(10) DEFAULT NULL COMMENT '轮播更新时间',
  PRIMARY KEY (`banner_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


INSERT INTO `banner` VALUES ('2', '厉害了我的国', 'play/aHR0cHM6Ly93d3cuMzYwa2FuLmNvbS9tL2dxUG1ZaEg0Um5uQVVCLmh0bWw=.html', 'public/sh.jpg', '1520492414', '1520492414');


DROP TABLE IF EXISTS `dydata`;
CREATE TABLE `dydata` (
  `dy_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '电影id',
  `dy_title` varchar(50) NOT NULL COMMENT '电影标题',
  `dy_img` varchar(100) NOT NULL COMMENT '电影图片地址',
  `dy_desc` varchar(500) NOT NULL COMMENT '电影描述',
  `dy_addr` mediumtext NOT NULL COMMENT '电影数据',
  `dy_sort` int(10) NOT NULL COMMENT '视频排序 数字越大越靠前',
  `dy_create_time` int(10) DEFAULT NULL COMMENT '电影创建时间',
  `dy_update_time` int(10) DEFAULT NULL COMMENT '电影更新时间',
  PRIMARY KEY (`dy_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


INSERT INTO `dydata` VALUES ('3', '厉害了我的国', 'https://p.ssl.qhimg.com/d/dy_9e2db6ca6b62d900b2fb2a894a4c015e.jpg', '本片以习近平新时代中国特色社会主义思想为内在逻辑，展示了在创新、协调、绿色、开放和共享的新发展理念下中国这五年的伟大成就，展现了中国人民在全面建设小康征程上的伟大奋斗，彰显了以习近平同志为核心的党中央的正确领导。凝聚起全党全国人民的磅礴力量，为实现中华民族伟大复兴的中国梦不断前进。 中国共产党第十九次全国代表大会绘制了中国未来发展的宏伟蓝图，由中央电视台、中国电影股份有限公司联合出品的电影《厉害了，我的国》结合十九大精神，将祖国发展和成就以纪录片的形式第一次呈现在大银幕上，全面反映党的十八大以来中国取得了改革开放和社会主义现代化建设的历史性成就。电影《厉害了，我的国》是一部非常有新意的充满正能量的纪录电影。', '超清HD$http://api.visaok.net/?url=http://www.iqiyi.com/v_19rrbqar6g.html', '0', '1520492359', null);

DROP TABLE IF EXISTS `kami`;
CREATE TABLE `kami` (
  `km_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '卡密id',
  `km_num` varchar(100) NOT NULL COMMENT '卡密编号',
  `km_time` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0代表1天  1代表1月 2代表1年',
  `km_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '卡密使用状态  0未使用  1已使用',
  `km_create_time` int(10) unsigned NOT NULL COMMENT '卡密创建时间',
  `km_update_time` int(10) unsigned DEFAULT NULL COMMENT '卡密使用时间',
  `km_used_mem` varchar(20) DEFAULT NULL COMMENT '使用会员名',
  PRIMARY KEY (`km_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `nav`;
CREATE TABLE `nav` (
  `nav_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '导航id',
  `nav_title` varchar(20) NOT NULL COMMENT '导航标题',
  `nav_addr` varchar(255) NOT NULL COMMENT '导航地址',
  `nav_sort` int(10) NOT NULL DEFAULT '0' COMMENT '导航排序 数字越大越靠前',
  `nav_create_time` int(10) DEFAULT NULL COMMENT '导航创建时间',
  `nav_update_time` int(10) DEFAULT NULL COMMENT '导航更新时间',
  PRIMARY KEY (`nav_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


INSERT INTO `nav` VALUES ('2', '电影', '/movielist/all/1.html', '10', '1520495324', '1520569060');
INSERT INTO `nav` VALUES ('3', '电视剧', '/tvlist/all/1.html', '9', '1520495358', '1520568944');
INSERT INTO `nav` VALUES ('4', '热门综艺', '/zylist/all/1.html', '7', '1520569004', '1520569004');
INSERT INTO `nav` VALUES ('5', '最新动漫', '/dmlist/all/1.html', '8', '1520569028', '1520569028');
INSERT INTO `nav` VALUES ('6', '实时直播', '/zhibo.html', '1', '1522217218', '1522217218');


DROP TABLE IF EXISTS `tort`;
CREATE TABLE `tort` (
  `tort_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '侵权视频id',
  `tort_name` varchar(20) NOT NULL COMMENT '侵权视频名字',
  `tort_addr` varchar(100) NOT NULL COMMENT '侵权视频地址',
  `tort_create_time` int(10) DEFAULT NULL COMMENT '侵权视频创建时间',
  `tort_update_time` int(10) DEFAULT NULL COMMENT '侵权视频更新时间',
  PRIMARY KEY (`tort_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `user_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户id',
  `user_name` varchar(20) NOT NULL COMMENT '用户昵称',
  `user_pass` varchar(50) NOT NULL COMMENT '用户密码',
  `user_level` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '用户等级 0表示普通会员 1表示vip会员',
  `user_email` varchar(100) NOT NULL COMMENT '用户邮箱',
  `user_vip_time` int(10) unsigned DEFAULT NULL COMMENT 'VIP到期时间',
  `user_create_date` int(10) unsigned DEFAULT NULL COMMENT '用户创建时间',
  `user_update_date` int(10) unsigned DEFAULT NULL COMMENT '用户更新时间',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1013 DEFAULT CHARSET=utf8;


INSERT INTO `user` VALUES ('1010', 'key', 'd714975168b413153fb846fbd523429e', '1', 'huijingdandan@gmail.com', '1525766175', '1520051437', '1520406729');


DROP TABLE IF EXISTS `yqlink`;
CREATE TABLE `yqlink` (
  `yq_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '友情连接id',
  `yq_name` varchar(30) NOT NULL COMMENT '友情链接名称',
  `yq_link` varchar(50) NOT NULL COMMENT '友情链接',
  `yq_create_time` int(10) DEFAULT NULL COMMENT '友情连接创建时间',
  `yq_update_time` int(10) DEFAULT NULL COMMENT '友情连接更新时间',
  PRIMARY KEY (`yq_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


INSERT INTO `yqlink` VALUES ('5', '零艺客', 'http://b.ly404.cn', '1521994198', '1521994198');
INSERT INTO `yqlink` VALUES ('6', '百度', 'http://www.baidu.com', '1521994257', '1521994257');


DROP TABLE IF EXISTS `zbdata`;
CREATE TABLE `zbdata` (
  `zb_id` int(10) unsigned zerofill NOT NULL AUTO_INCREMENT COMMENT '直播数据id',
  `zb_title` varchar(20) NOT NULL DEFAULT '' COMMENT '直播标题',
  `zb_addr` varchar(255) NOT NULL COMMENT '直播地址',
  `zb_type` tinyint(4) NOT NULL COMMENT '直播分类 1表示央视 2表示卫视 3 表示其他',
  `zb_sort` int(10) NOT NULL COMMENT '直播排序 数字越大越靠前',
  `zb_create_time` int(10) DEFAULT NULL COMMENT '直播创建时间',
  `zb_update_time` int(10) DEFAULT NULL COMMENT '直播更新时间',
  PRIMARY KEY (`zb_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


INSERT INTO `zbdata` VALUES ('0000000002', 'CCTV9', 'http://183.252.176.35//PLTV/88888888/224/3221225929/index.m3u8', '1', '9', '1520493666', '1522150181');
